Subject: bug#46116: Acknowledgement (28.0.50; Ticking articles fails on Emacs 28 pgtk build)

From: Andrea Corallo <[email-masked]>
Date: Thu, 28 Jan 2021 07:58:16 +0000

Jonathan Corbet <[email-masked]> writes:

> On Wed, 27 Jan 2021 20:37:50 +0000
> Andrea Corallo <[email-masked]> wrote:
>
>> > Trying to determine that was how I found the workaround - putting in a
>> > (message) call made the problem go away.  The call, though, is from
>> > gnus-summary-mark-article:  
>> 
>> Perhaps you can put the print just before the call instead of inside,
>> this will not effect the function we are interested.
>> 
>> >> 	(when (gnus-summary-goto-subject article nil t)
>
> Indeed, I did that before when I reported that "article" is an integer
> article number.  
>
>> Do we have a self contained reproducer I can look into?
>
> I wish.  In an attempt to get there I've gone from the Fedora build to a
> build from the feature/native-comp branch.

Is Fedora buidling native-comp?

> Naturally, the problem doesn't
> manifest itself there.

Perhaps this is just more up-to date?

> This seems like a real heisenbug, but it is also
> possible that we're seeing something wrong with the Fedora build.  It may
> be best to let this slide until such a time as I can reproduce it more
> reliably.

Okay

> Sorry if I've wasted your time...

No problem, thanks for reporting and investigating the issue!

If this does not show up from source I guess we might close this bug?
We can always reopen in case. WDYT?

Regards

  Andrea